from trytond.config import config
from trytond.i18n import gettext
from trytond.model import (
    DeactivableMixin, ModelSingleton, ModelSQL, ModelView, Workflow, fields)
from trytond.pool import Pool
from trytond.pyson import Eval, If
from trytond.transaction import Transaction
from trytond.wizard import Button, StateTransition, StateView, Wizard

class GRConfiguration(ModelSingleton, ModelSQL, ModelView):
    "Global Reporting Configuration"
    __name__ = 'gr.configuration'

    bi = fields.Char("BI connexion")
    dashboard = fields.Char("Dashboard connexion")
    dark = fields.Boolean("Dark mode")
    pnl_id = fields.Integer("Pnl ID")
    position_id = fields.Integer("Position ID")
    forex_id = fields.Integer("Forex ID")
    payload = fields.Char("Metabase payload")
    automation = fields.Boolean("Automation")